Package org.jfree.layouting.layouter.counters

## Class CounterStyleFactory

- java.lang.Object
- - org.jfree.layouting.layouter.counters.CounterStyleFactory

-     public class CounterStyleFactory
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PREFIX` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CounterStyle` | `getCounterStyle​(java.lang.String name)` |
    `static CounterStyleFactory` | `getInstance​()` |
    `void` | `registerDefaults​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREFIX

          public static final java.lang.String PREFIX

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static CounterStyleFactory getInstance​()

    - #### registerDefaults

          public void registerDefaults​()

    - #### getCounterStyle

          public CounterStyle getCounterStyle​(java.lang.String name)